#form-box {
    container-name: form-container;
    container-type: inline-size;

    display: grid;
    justify-content: center;
    grid-template-columns: repeat(6, 12%);
    column-gap: min(30px, 5%);
    row-gap: 20px;
    width: 50vw;
    height: min-content;
    text-wrap-mode: nowrap;
}

.long-span {
    grid-column: span 3;
}

.short-span {
    grid-column: span 5;
}

.text-input-label {
    margin-bottom: 5px;
}

#checkbox-holder {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

#summary-column {
    flex: 1;
    max-width: 25rem;
}

.checkbox-label {
    font-size: 0.85rem;
    margin-left: 0.2rem;
}

.input-error {
    color: red;
    font-size: 0.85rem;
    display: none;
    margin-top: 10px;
}

.error-img {
    width: 0.85rem;
    filter: brightness(0) saturate(100%) invert(17%) sepia(97%) saturate(6233%) hue-rotate(358deg) brightness(99%) contrast(112%);

    position: relative;
    top: 0.05rem;
    margin-right: 0.35rem;
}

#error-box {
    background-color: rgb(222, 57, 57);
    padding: 1rem;
    border-color: rgb(148, 11, 11);
    border-radius: 6.7px;
    border-width: 5px;
    border-style: solid;
    box-shadow: 0px 0px 5px black;
    display: none;
}

#checkbox-holder {
    display: grid;
    grid-template-columns: auto auto;
    margin-top: 5px;
}

@media (max-aspect-ratio: 5/4) {
    #form-box {
        width: 87.5vw;
    }

    #summary-column {
        max-width: 87.5vw;
    }

    #preference-label {
        max-width: 65vw;
    }
}

@media (max-aspect-ratio: 9/16) {
    #form-box {
        grid-template-columns: auto;
    }

    .long-span, .short-span {
        grid-column: span 1;
    }
}